> For the complete documentation index, see [llms.txt](https://docs.uibakery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uibakery.io/on-premise/git-source-control/custom-pr-url.md).

# Custom PR URL

By default, UI Bakery automatically generates a Pull Request button URL link based on the git service used in your app. But in some cases, you may need to configure this functionality manually. This page outlines the steps to configure an environment variable for PR link generation using a specific template.

The PR link template allows you to create a customized URL for your pull requests. Here's an example of a custom PR link for on-premise Bitbucket installation:

```bash
UI_BAKERY_GIT_PR_URL_TEMPLATE=https://bitbucket.company_name.com/projects/{user}/repos/{project}/pull-requests?create&sourceBranch={activeBranch}
```

## **Variables in the Template**

* `{user}`: This variable represents the username in the repository hosting service (e.g., Bitbucket) where the git project is hosted.
* `{project}`: This refers to the repository or project name within the hosting service. Replace it with the name of your specific project.
* `{activeBranch}`: This is the branch from which the pull request is created. It dynamically refers to the branch currently being worked on.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.uibakery.io/on-premise/git-source-control/custom-pr-url.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
